Capsule API Example

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
CPhysiologicalStates.h File Reference
`#include "CDefinesPrivate.h"`
`#include "CDevice.h"`

Go to the source code of this file.

## Classes
struct | clCPhysiologicalStates_Value
struct | clCPhysiologicalStates_Baselines

## Typedefs
typedef struct clCPhysiologicalStates_Value | clCPhysiologicalStates_Value
typedef struct clCPhysiologicalStates_Baselines | clCPhysiologicalStates_Baselines
typedef void(* | clCPhysiologicalStates_StatesUpdateHandler) (clCPhysiologicalStates, const clCPhysiologicalStates_Value *) NOEXCEPT
typedef void(* | clCPhysiologicalStates_CalibratedHandler) (clCPhysiologicalStates, const clCPhysiologicalStates_Baselines *) NOEXCEPT
typedef void(* | clCPhysiologicalStates_CalibrationProgressUpdateHandler) (clCPhysiologicalStates, float) NOEXCEPT
typedef void(* | clCPhysiologicalStates_IndividualNFBUpdateHandler) (clCPhysiologicalStates) NOEXCEPT

## Functions
| CLC_CLASS_WN (ClassificationPhysiologicalStatesPrivate, clCPhysiologicalStates)
CL_DLL clCPhysiologicalStates | clCPhysiologicalStates_Create (clCDevice device, clCError *error) NOEXCEPT
CL_DLL void | clCPhysiologicalStates_ImportBaselines (clCPhysiologicalStates states, const clCPhysiologicalStates_Baselines *baselines) NOEXCEPT
CL_DLL void | clCPhysiologicalStates_StartBaselineCalibration (clCPhysiologicalStates states) NOEXCEPT
CL_DLL void | clCPhysiologicalStates_SetOnStatesUpdateEvent (clCPhysiologicalStates states, clCPhysiologicalStates_StatesUpdateHandler handler, clCError *error) NOEXCEPT
CL_DLL void | clCPhysiologicalStates_SetOnCalibratedEvent (clCPhysiologicalStates states, clCPhysiologicalStates_CalibratedHandler handler, clCError *error) NOEXCEPT
CL_DLL void | clCPhysiologicalStates_SetOnCalibrationProgressUpdateEvent (clCPhysiologicalStates states, clCPhysiologicalStates_CalibrationProgressUpdateHandler handler, clCError *error) NOEXCEPT
CL_DLL void | clCPhysiologicalStates_SetOnIndividualNFBUpdateEvent (clCPhysiologicalStates states, clCPhysiologicalStates_IndividualNFBUpdateHandler handler, clCError *error) NOEXCEPT

## Typedef Documentation

## ◆ clCPhysiologicalStates_Baselines

typedef struct clCPhysiologicalStates_Baselines clCPhysiologicalStates_Baselines

## ◆ clCPhysiologicalStates_CalibratedHandler

typedef void(* clCPhysiologicalStates_CalibratedHandler) (clCPhysiologicalStates, const clCPhysiologicalStates_Baselines *) NOEXCEPT

## ◆ clCPhysiologicalStates_CalibrationProgressUpdateHandler

typedef void(* clCPhysiologicalStates_CalibrationProgressUpdateHandler) (clCPhysiologicalStates, float) NOEXCEPT

## ◆ clCPhysiologicalStates_IndividualNFBUpdateHandler

typedef void(* clCPhysiologicalStates_IndividualNFBUpdateHandler) (clCPhysiologicalStates) NOEXCEPT

## ◆ clCPhysiologicalStates_StatesUpdateHandler

typedef void(* clCPhysiologicalStates_StatesUpdateHandler) (clCPhysiologicalStates, const clCPhysiologicalStates_Value *) NOEXCEPT

## ◆ clCPhysiologicalStates_Value

typedef struct clCPhysiologicalStates_Value clCPhysiologicalStates_Value

## Function Documentation

## ◆ CLC_CLASS_WN()

CLC_CLASS_WN | ( | ClassificationPhysiologicalStatesPrivate | ,
|  | clCPhysiologicalStates | )

## ◆ clCPhysiologicalStates_Create()

CL_DLL clCPhysiologicalStates clCPhysiologicalStates_Create | ( | clCDevice | device,
|  | clCError * | error )

## ◆ clCPhysiologicalStates_ImportBaselines()

CL_DLL void clCPhysiologicalStates_ImportBaselines | ( | clCPhysiologicalStates | states,
|  | const clCPhysiologicalStates_Baselines * | baselines )

## ◆ clCPhysiologicalStates_SetOnCalibratedEvent()

CL_DLL void clCPhysiologicalStates_SetOnCalibratedEvent | ( | clCPhysiologicalStates | states,
|  | clCPhysiologicalStates_CalibratedHandler | handler,
|  | clCError * | error )

## ◆ clCPhysiologicalStates_SetOnCalibrationProgressUpdateEvent()

CL_DLL void clCPhysiologicalStates_SetOnCalibrationProgressUpdateEvent | ( | clCPhysiologicalStates | states,
|  | clCPhysiologicalStates_CalibrationProgressUpdateHandler | handler,
|  | clCError * | error )

## ◆ clCPhysiologicalStates_SetOnIndividualNFBUpdateEvent()

CL_DLL void clCPhysiologicalStates_SetOnIndividualNFBUpdateEvent | ( | clCPhysiologicalStates | states,
|  | clCPhysiologicalStates_IndividualNFBUpdateHandler | handler,
|  | clCError * | error )

## ◆ clCPhysiologicalStates_SetOnStatesUpdateEvent()

CL_DLL void clCPhysiologicalStates_SetOnStatesUpdateEvent | ( | clCPhysiologicalStates | states,
|  | clCPhysiologicalStates_StatesUpdateHandler | handler,
|  | clCError * | error )

## ◆ clCPhysiologicalStates_StartBaselineCalibration()

CL_DLL void clCPhysiologicalStates_StartBaselineCalibration | ( | clCPhysiologicalStates | states | ) |